#!/bin/sh
#
#  Panic Dump - UP Load Pre-Fabos parameters.
#  Certain parameters can be obtained before fabos and we should
#  collect them and process before fabos.
#  Typically this script is called in /etc/init.d/fabos, just after
#  loading panicdump-module and consolelog-module
#

MISC_FILE=/core_files/.misc_file # if you change this, also change
                                # corresponding entry in pdul_misc_pre.sh and
                                # pdul_misc_post.sh and pdcheck.sh

PD_TEMP_ERRLOG_FILE=/tmp/pd_temp_errlog

#
# Let us record our start date
#
printf "Section=Startup time: `/bin/date`\n" > /proc/consolelog

#
# Log the Version in pd_misc
#

/fabos/bin/version | /bin/sed -e 's/:/=/' | while :
do
	read oneLine
	[ -z "$oneLine" ] && break
	printf "$oneLine\n" > /proc/consolelog
done
