#!/bin/sh
# Output may have lines out of order, but should otherwise
# be identical.
#
rm -f tptest.log tptest.diff 
rm -f tpt.slog tpt.sout

# run test program with script
#cat tptest_input | tptest >tptest.log
tptest <tptest_input >tptest.log

# compare against expected output - simplified
sort <tptest.log >tpt.slog
sort <tptest_output >tpt.sout
diff tpt.slog tpt.sout >tptest.diff

# validate
if test -f tptest.diff -a ! -s tptest.diff
then echo PASSED
else echo "FAILED (see tptest_output, tptest.log)" ; exit 1
fi

exit 0
